#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 vector-hashtables
version:              0.1.2.1
visibility:           public
id:                   vector-hashtables-0.1.2.1-7l5tPYwq22p3bAMuWKGukB
key:                  vector-hashtables-0.1.2.1-7l5tPYwq22p3bAMuWKGukB
license:              BSD-3-Clause
copyright:            2016-2024 klapaucius, swamp_agr
maintainer:           klapaucius, swamp_agr, ArtemPelenitsyn
author:               klapaucius
homepage:             https://github.com/klapaucius/vector-hashtables#readme
synopsis:             Efficient vector-based mutable hashtables implementation.
description:
    This package provides efficient vector-based hashtable implementation similar to .NET Generic Dictionary implementation (at the time of 2015).

    See "Data.Vector.Hashtables" for documentation.

category:             Data
abi:                  f8f601a1efd39918eba72a7eaefc402d
exposed:              True
exposed-modules:
    Data.Primitive.PrimArray.Utils Data.Vector.Hashtables
    Data.Vector.Hashtables.Internal
    Data.Vector.Hashtables.Internal.Mask

import-dirs:          /usr/lib/ghc-9.4.8/site-local/vector-hashtables-0.1.2.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/vector-hashtables-0.1.2.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/vector-hashtables-0.1.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-vector-hashtables
hs-libraries:         HSvector-hashtables-0.1.2.1-7l5tPYwq22p3bAMuWKGukB
depends:
    base-4.17.2.1 hashable-1.4.4.0-7zzKXDBa1HP1F6vPi1Tvtg
    primitive-0.8.0.0-5TU9coTCbFAF1LmcqkQLR6
    vector-0.13.2.0-F8322NeNtfL69paM3N9AVt

haddock-interfaces:
    /usr/share/doc/haskell-vector-hashtables/html/vector-hashtables.haddock

haddock-html:         /usr/share/doc/haskell-vector-hashtables/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

